package webapp

import (
  "testing"
  "context"
  "time"
  "github.com/stretchr/testify/assert"
  "github.com/chromedp/chromedp"
)

func TestHelloName(t *testing.T) {
  assert := assert.New(t)

  assert.Equal(123, 123, "should be equal")
  assert.NotEqual(123, 456, "should not be equal")
}

func TestChromeDPWorks(t *testing.T) {
  assert := assert.New(t)

  ctx, cancel := chromedp.NewContext(context.Background())
  defer cancel()

  ctx, cancel = context.WithTimeout(ctx, 15 * time.Second)
  defer cancel()

  var example string

  err := chromedp.Run(ctx,
          chromedp.Navigate(`http://127.0.0.1:5002`),
          chromedp.WaitVisible(`body > footer`),
          chromedp.Click(`#example`, chromedp.NodeVisible),
          chromedp.Value(`#example textarea`, &example),
        )

  assert.NoError(err)
}
